"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tryCreateNew = void 0;
const fs = require("fs/promises");
const path = require("path");
const getSettingsFilePath_1 = require("../processSettings/getSettingsFilePath");
const askToUser_1 = require("./askToUser");
function tryCreateNew(file) {
    return (0, askToUser_1.askToUser)({
        name: "value",
        message: `Для запуска нужен файл с настройками - ${getSettingsFilePath_1.SETTINGS_FILENAME}.  Создать файл? `,
        type: "confirm",
        initial: true
    }).then(({ value }) => {
        if (value) {
            const template = path.resolve(__dirname, "..", "template.js");
            fs.copyFile(template, file)
                .then(() => {
                console.log("Файл создан. Перед запуском откройте файл и измените настройки");
                process.exit(1);
            })
                .catch((error) => {
                if (error)
                    console.log(error);
                process.exit(1);
            });
        }
    });
}
exports.tryCreateNew = tryCreateNew;
