"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getModuleSettings = void 0;
const fs = require("fs");
const GET_SETTINGS_ERROR = {
    fileNotFound: "Файл конфигурации не найден.",
    wrongFormat: "Не удалось считать настройки. Пожалуйста проверьте файл с настройками."
};
function getModuleSettings(settingsFile) {
    if (!fs.existsSync(settingsFile))
        throw new Error(GET_SETTINGS_ERROR.fileNotFound);
    const settingsModule = require(settingsFile);
    if (!(settingsModule === null || settingsModule === void 0 ? void 0 : settingsModule.default))
        throw new Error(GET_SETTINGS_ERROR.wrongFormat);
    return settingsModule.default;
}
exports.getModuleSettings = getModuleSettings;
