module.exports = {
	default: {
		tests: {
			features: ["tests/**/*.feature"], // Файлы с тестами, которые будут запущены
			steps: ["steps/**/*.steps.ts"], // Файлы с дополнительными шагами для сценариев
			exitOnEnd: true // Отключать ли программу тестирования после завершения тестов
		},
		app: {
			url: "", // Ссылка на инстанс мдт
			users: {
				"<имя пользователя>": "<токен авторизации>" // Токен авторизации для входа на инстанс мдт https://docs.ics-it.ru/mdt/integration/api#авторизация
			},
			defaultUser: "<имя пользователя из списка пользователей>" // Пользователь под которым будет проходить тестирование, если пользователь не указан в сценарии
		},
		setup: {
			timeout: 10000, // Время ожидания загрузки или появления элемента на странице
			slowMo: 0, // промежуток времени между шагами
			maxRetries: 3, // количество попыток подключения при запуске
			reloadOnError: true, // нужно ли перезагружать страницу, если сценарий провалился.
			timezone: "GMT+3"
		},
		debug: {
			mode: "disabled", // "browser" - для просмотра действий в браузере, "inspectTool" - инструмент для просмотра класса у элемента https://playwright.dev/docs/debug#playwright-inspector
			devTools: false // Включить браузерное окно с инструментами для разработки
		}
	}
};
