"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDropdown = void 0;
const getSelector_1 = require("../../utils/getSelector");
const numberAndIndex_1 = require("../../utils/numberAndIndex");
function getDropdown(parentEl) {
    const el = parentEl.locator(".dropdown-wrap .dropdown-menu").last();
    const item = el.locator(".dropdown-menu-item");
    const action = (0, getSelector_1.getSelector)({
        testid: "dropdown-menu-action"
    });
    return {
        el,
        item,
        itemByTitle(itemTitle) {
            return item.locator(`${action}:has(:text-is("${itemTitle}"))`).first();
        },
        itemByNumber(number) {
            const index = (0, numberAndIndex_1.getIndexFromNumber)(number);
            return item.nth(index);
        },
        actionsLength() {
            return item.locator(action).count();
        },
        isExist() {
            return __awaiter(this, void 0, void 0, function* () {
                return yield el.isVisible();
            });
        }
    };
}
exports.getDropdown = getDropdown;
