import { Locator } from "@playwright/test";
import { Page } from "../../../page";
import { Boolean } from "./checkbox/checkbox";
import { DatePicker } from "./date/date";
import { FileControl } from "./file/file";
import { MultiPicker } from "./multiPicker/multiPicker";
import { Picker } from "./picker/picker";
import { SelectControl } from "./select/select";
import { ContentEditableControl, InputControl, TextAreaControl } from "./text/text";
import { RadioPicker } from "./radioPicker/radioPicker";
export interface IControl {
    type: ControlType;
    el: Locator;
    isExistAsync(): Promise<boolean>;
    displayValueAsync(): Promise<string | null>;
    isReadonly(): Promise<boolean>;
}
declare type ControlType = Control["type"];
export declare type Control = MultiPicker | Picker | DatePicker | FileControl | SelectControl | Boolean | InputControl | TextAreaControl | ContentEditableControl | RadioPicker;
export declare function getControl(parentEl: Locator, type?: ControlType): Promise<Control | undefined>;
export declare function setControlValue(page: Page, control: Control, value: string): Promise<void>;
export declare function clearControlValue(control: Control): Promise<void>;
export {};
