"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.clearDatePickerValue = exports.setDatePickerValue = exports.getDatePicker = exports.DatePicker = void 0;
const getSelector_1 = require("../../../../../utils/getSelector");
const dateEmptyValue = "__.__.____";
class DatePicker {
    constructor(parentEl) {
        this.type = "datePicker";
        this.el = parentEl;
    }
    isExistAsync() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.el.locator((0, getSelector_1.getSelector)({ testid: "date" })).isVisible();
        });
    }
    displayValueAsync() {
        return __awaiter(this, void 0, void 0, function* () {
            const value = yield this.textEl.inputValue();
            if (value == dateEmptyValue)
                return "";
            return value;
        });
    }
    showCalendar() {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.textEl.click();
        });
    }
    get calendar() {
        return this.el.locator(`.icon-calendar`);
    }
    get textEl() {
        return this.el.locator((0, getSelector_1.getSelector)({ testid: "input" }));
    }
    get clear() {
        return this.el.locator(".action-clear");
    }
    isReadonly() {
        return __awaiter(this, void 0, void 0, function* () {
            // Нет собственного readonly состояния, выводиться readonly input
            return false;
        });
    }
}
exports.DatePicker = DatePicker;
function getDatePicker(parentEl) {
    return new DatePicker(parentEl);
}
exports.getDatePicker = getDatePicker;
function setDatePickerValue(page, date, value) {
    return __awaiter(this, void 0, void 0, function* () {
        yield clearDatePickerValue(date);
        yield date.textEl.fill(value);
    });
}
exports.setDatePickerValue = setDatePickerValue;
function clearDatePickerValue(date) {
    return __awaiter(this, void 0, void 0, function* () {
        yield date.textEl.fill("");
    });
}
exports.clearDatePickerValue = clearDatePickerValue;
