"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getImageList = void 0;
const getSelector_1 = require("../../../../../utils/getSelector");
function getImageList(parentEl) {
    const selectors = {
        listEl: (0, getSelector_1.getSelector)({ testid: "image-list" }),
        thumbs: (0, getSelector_1.getSelector)({ testid: "thumbs" }),
        imageContent: (0, getSelector_1.getSelector)({ testid: "file-image-content" }),
        labels: (0, getSelector_1.getSelector)({ testid: "image-list-label" }),
        addImage: (0, getSelector_1.getSelector)({ testid: "image-list-add" }),
        uploadBtn: (0, getSelector_1.getSelector)({ testid: "image-list-button-upload" }),
        cleanBtn: (0, getSelector_1.getSelector)({ testid: "image-list-button-download" }),
        trashIcon: (0, getSelector_1.getSelector)({ icon: "trash" })
    };
    const el = parentEl.locator(selectors.listEl);
    const thumbs = el.locator(selectors.thumbs);
    const imageContent = thumbs.locator(selectors.imageContent);
    const imageLabels = el.locator(selectors.labels);
    return {
        el,
        hasImageFile() {
            return __awaiter(this, void 0, void 0, function* () {
                return yield imageContent.isVisible();
            });
        },
        imagesCount() {
            return __awaiter(this, void 0, void 0, function* () {
                return imageContent.count();
            });
        },
        get addImage() {
            return thumbs.locator(selectors.addImage);
        },
        get uploadBtn() {
            return imageLabels.locator(selectors.uploadBtn);
        },
        get cleanBtn() {
            return imageLabels.locator(selectors.cleanBtn);
        },
        get trashIcon() {
            return imageContent.locator(selectors.trashIcon);
        }
    };
}
exports.getImageList = getImageList;
