"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGallery = exports.Gallery = void 0;
const getSelector_1 = require("../../../../../utils/getSelector");
class Gallery {
    constructor(parentEl) {
        this.parentEl = parentEl;
        this.imageDomRect = void 0;
        this.selectors = {
            gallery: (0, getSelector_1.getSelector)({ testid: "gallery-content" }),
            image: (0, getSelector_1.getSelector)({ testid: "gallery-image" }),
            title: (0, getSelector_1.getSelector)({ testid: "image-title" }),
            close: (0, getSelector_1.getSelector)({ testid: "gallery-close" }),
            rotateLeft: (0, getSelector_1.getSelector)({ testid: "rotate-left" }),
            rotateRight: (0, getSelector_1.getSelector)({ testid: "rotate-right" }),
            actionLeft: (0, getSelector_1.getSelector)({ testid: "action-left" }),
            actionRight: (0, getSelector_1.getSelector)({ testid: "action-right" }),
            download: (0, getSelector_1.getSelector)({ testid: "download" })
        };
        this.el = this.parentEl.locator(this.selectors.gallery);
    }
    waitForExist() {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.el.waitFor();
            return this.el.isVisible();
        });
    }
    get image() {
        return this.el.locator(this.selectors.image);
    }
    get title() {
        return this.el.locator(this.selectors.title);
    }
    get close() {
        return this.el.locator(this.selectors.close);
    }
    get rotateLeft() {
        return this.el.locator(this.selectors.rotateLeft);
    }
    get rotateRight() {
        return this.el.locator(this.selectors.rotateRight);
    }
    get actionLeft() {
        return this.el.locator(this.selectors.actionLeft);
    }
    get actionRight() {
        return this.el.locator(this.selectors.actionRight);
    }
    get download() {
        return this.el.locator(this.selectors.download);
    }
}
exports.Gallery = Gallery;
function getGallery(parentEl) {
    return new Gallery(parentEl);
}
exports.getGallery = getGallery;
