import { Locator } from "@playwright/test";
import { Page } from "../../../../page";
import { IControl } from "../controls";
export declare function getMultiPicker(parentEl: Locator): MultiPicker;
export declare class MultiPicker implements IControl {
    el: Locator;
    type: "multiPicker";
    private static selectors;
    constructor(parentEl: Locator);
    isReadonly(): Promise<boolean>;
    get firstItem(): MultiPickerItem;
    get input(): Locator;
    get clear(): Locator;
    get action(): Locator;
    isExistAsync(): Promise<boolean>;
    displayValueAsync(): Promise<string>;
    hasPickedValue(): Promise<boolean>;
    item(title: string): MultiPickerItem;
    itemsCount(): Promise<number>;
    setValue(page: Page, value: string): Promise<void>;
}
interface MultiPickerItem {
    el: Locator;
    readonly value: Locator;
    readonly remove: Locator;
}
export declare function clearMultiPickerValue(picker: MultiPicker): Promise<void>;
export {};
