"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setSelectControlValue = exports.getSelect = exports.SelectControl = void 0;
const getSelector_1 = require("../../../../../utils/getSelector");
class SelectControl {
    constructor(parentEl) {
        this.parentEl = parentEl;
        this.type = "select";
        this.el = parentEl.locator((0, getSelector_1.getSelector)({ testid: "select" }));
    }
    getOption(textValue) {
        return this.el.locator(`:has-text("${textValue}")`).first();
    }
    isExistAsync() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.el.isVisible();
        });
    }
    displayValueAsync() {
        return __awaiter(this, void 0, void 0, function* () {
            const optionValueAttr = yield this.el.inputValue();
            return yield this.el.locator(`option[value="${optionValueAttr}"]`).textContent();
        });
    }
    isReadonly() {
        return __awaiter(this, void 0, void 0, function* () {
            // Нет собственного readonly состояния, выводиться readonly input
            return false;
        });
    }
}
exports.SelectControl = SelectControl;
function getSelect(parentEl) {
    return new SelectControl(parentEl);
}
exports.getSelect = getSelect;
function setSelectControlValue(page, selectControl, value) {
    return __awaiter(this, void 0, void 0, function* () {
        const option = selectControl.getOption(value);
        const optionValue = yield option.getAttribute("value");
        yield selectControl.el.selectOption(optionValue);
    });
}
exports.setSelectControlValue = setSelectControlValue;
