import { Locator } from "@playwright/test";
import { Page } from "../../../../page";
import { IControl } from "../controls";
declare class TextBase {
    el: Locator;
    textEl: Locator;
    constructor(parentEl: Locator, selector: string);
    isExistAsync(): Promise<boolean>;
    displayValueAsync(): Promise<string>;
    setValue(page: Page, value: string): Promise<void>;
}
export declare function getInputControl(parentEl: Locator): InputControl;
export declare class InputControl extends TextBase implements IControl {
    private parentEl;
    type: "input";
    private static selectors;
    constructor(parentEl: Locator);
    isReadonly(): Promise<boolean>;
    isExistAsync(): Promise<boolean>;
}
export declare function getTextAreaControl(parentEl: Locator): TextAreaControl;
export declare class TextAreaControl extends TextBase implements IControl {
    private parentEl;
    type: "textarea";
    private static selectors;
    constructor(parentEl: Locator);
    isReadonly(): Promise<boolean>;
}
export declare function getContentEditableControl(parentEl: Locator): ContentEditableControl;
export declare class ContentEditableControl extends TextBase implements IControl {
    private parentEl;
    type: "contenteditable";
    private static selectors;
    constructor(parentEl: Locator);
    isReadonly(): Promise<boolean>;
}
export declare function clearTextControlValue(control: ContentEditableControl | TextAreaControl | InputControl): Promise<void>;
export {};
