"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const cucumber_1 = require("@cucumber/cucumber");
const test_1 = require("@playwright/test");
const tableManager_1 = require("../../../utils/tableManager");
const form_steps_1 = require("../form.steps");
const strictListCompare_steps_1 = require("../../list/steps/compare/strictListCompare.steps");
(0, cucumber_1.When)("на форме нажимаем на вкладку {string}.", function (tabTitle) {
    return __awaiter(this, void 0, void 0, function* () {
        const tab = yield getTabFromForm(this, tabTitle);
        yield isTabExist(tab);
        yield tab.link.click();
        yield tab.waitForOpen();
    });
});
(0, cucumber_1.Then)("на форме есть вкладка {string}.", function (tabTitle) {
    return __awaiter(this, void 0, void 0, function* () {
        const tab = yield getTabFromForm(this, tabTitle);
        yield isTabExist(tab);
    });
});
(0, cucumber_1.Then)("на вкладке {string} есть список со следующими записями:", function (tabTitle, dataTable) {
    return __awaiter(this, void 0, void 0, function* () {
        const tab = yield getTabFromForm(this, tabTitle);
        const list = yield this.getList({ parentEl: tab.content });
        yield (0, test_1.expect)(list.el).toBeVisible();
        const listData = (0, tableManager_1.getListData)(dataTable);
        yield (0, strictListCompare_steps_1.strictListEquality)(list, listData);
    });
});
(0, cucumber_1.Then)("на вкладке {string} есть список {string}.", function (tabTitle, dataTable) {
    return __awaiter(this, void 0, void 0, function* () {
        const tab = yield getTabFromForm(this, tabTitle);
        const list = yield this.getList({ parentEl: tab.content });
        yield (0, test_1.expect)(list.el).toBeVisible();
    });
});
(0, cucumber_1.Then)("на вкладке {string} в списке нет записей.", function (tabTitle) {
    return __awaiter(this, void 0, void 0, function* () {
        const tab = yield getTabFromForm(this, tabTitle);
        const list = tab.getList();
        const isEmpty = yield list.isEmpty();
        (0, test_1.expect)(isEmpty).toBeTruthy();
    });
});
function isTabExist(tab) {
    return __awaiter(this, void 0, void 0, function* () {
        yield (0, test_1.expect)(tab.link).toBeVisible();
    });
}
function getTabFromForm(page, tabTitle) {
    return __awaiter(this, void 0, void 0, function* () {
        const form = yield (0, form_steps_1.getForm)(page);
        const tab = form.getTab(tabTitle);
        (0, test_1.expect)(yield tab.link.count(), "Таб не найден или найдено несколько с одним именем.").toBe(1);
        return tab;
    });
}
