"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LeftNav = void 0;
const getSelector_1 = require("../../utils/getSelector");
const hierarchicalList_1 = require("../navRunner/hierarchicalList/hierarchicalList");
const selectors = (0, getSelector_1.getSelectors)({
    leftNav: "leftNav"
});
class LeftNav {
    constructor(parentEl) {
        this.parentEl = parentEl;
        this.el = this.parentEl.locator(selectors.leftNav);
        this.list = new hierarchicalList_1.HierarchicalList(this.el);
    }
}
exports.LeftNav = LeftNav;
function getLeftNavNode(parentEl) {
    return {
        el: parentEl,
        get head() {
            return parentEl.locator("> a");
        },
        get list() {
            return getLeftNavNodeList(parentEl);
        },
        isExist() {
            return __awaiter(this, void 0, void 0, function* () {
                return this.head.isVisible();
            });
        }
    };
}
function getLeftNavNodeList(parentEl) {
    const el = parentEl.locator("> .list");
    return {
        el,
        item(nodeTitle) {
            return getLeftNavNode(el.locator(`li:has(span.title:text-is("${nodeTitle}"))`).first());
        },
        divider(title) {
            return getLeftNavNodeDivider(el, title);
        }
    };
}
function getLeftNavNodeDivider(parentEl, title) {
    const wrap = parentEl.locator(`.divider-item:has(a > span:text-is("${title}"))`);
    return {
        get el() {
            return wrap.locator("> h4");
        },
        get node() {
            return getLeftNavNode(wrap);
        }
    };
}
