"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getQuickFilter = void 0;
const getSelector_1 = require("../../../../utils/getSelector");
const date_1 = require("../../../form/Field/fieldControls/date/date");
const text_1 = require("../../../form/Field/fieldControls/text/text");
const QUICK_FILTER_TIMEOUT = 600;
const selectors = (0, getSelector_1.getSelectors)({
    quickFilter: "quick-filter",
    action: "common-control-action"
});
function getQuickFilter(parentEl) {
    return __awaiter(this, void 0, void 0, function* () {
        let control;
        const el = parentEl.locator(selectors.quickFilter);
        const date = new QuickFilterDatePicker(el);
        if (yield date.isExistAsync()) {
            control = date;
        }
        else
            control = (0, text_1.getInputControl)(el);
        return {
            control: control,
            waitForChange() {
                return __awaiter(this, void 0, void 0, function* () {
                    yield new Promise((resolve) => setTimeout(resolve, QUICK_FILTER_TIMEOUT));
                });
            },
            showCalendar() {
                return __awaiter(this, void 0, void 0, function* () {
                    yield date.showCalendar();
                });
            }
        };
    });
}
exports.getQuickFilter = getQuickFilter;
class QuickFilterDatePicker extends date_1.DatePicker {
    constructor(parentEl) {
        super(parentEl);
        this.parentEl = parentEl;
        this.description = this.el.locator(`${selectors.action}:has(.icon-question-circle)`);
    }
}
