"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const cucumber_1 = require("@cucumber/cucumber");
const list_steps_1 = require("./list.steps");
const test_1 = require("@playwright/test");
const getSelector_1 = require("../../utils/getSelector");
(0, cucumber_1.Given)("запись №{int} нельзя перенести.", function (rowNumber) {
    return __awaiter(this, void 0, void 0, function* () {
        const list = yield (0, list_steps_1.getList)(this);
        const row = yield list.getRow(rowNumber);
        (0, test_1.expect)(yield row.canDragDrop()).toBeFalsy();
        const el = row.getCellByIndex(0).el;
        (0, test_1.expect)(yield canDragDrop(this, el)).toBeFalsy();
    });
});
(0, cucumber_1.Given)("запись №{int} нельзя перенести в запись №{int}.", function (from, to) {
    return __awaiter(this, void 0, void 0, function* () {
        const list = yield (0, list_steps_1.getList)(this);
        const fromRow = yield list.getRow(from);
        const targetRow = yield list.getRow(to);
        (0, test_1.expect)(yield canDragDropInto(this, fromRow, targetRow)).toBeFalsy();
    });
});
(0, cucumber_1.When)("перетаскиваем запись №{int} в запись №{int}.", function (from, to) {
    return __awaiter(this, void 0, void 0, function* () {
        const list = yield (0, list_steps_1.getList)(this);
        const rowFrom = yield list.getRow(from);
        const rowTo = yield list.getRow(to);
        yield rowFrom.getCellByIndex(0).el.dragTo(rowTo.getCellByIndex(0).el);
    });
});
(0, cucumber_1.When)("перетаскиваем запись №{int} за пределы списка.", function (from) {
    return __awaiter(this, void 0, void 0, function* () {
        const list = yield (0, list_steps_1.getList)(this);
        const rowFrom = yield list.getRow(from);
        yield rowFrom.getCellByIndex(0).el.dragTo(list.toolbar.el);
    });
});
function canDragDrop(page, el) {
    return __awaiter(this, void 0, void 0, function* () {
        const fromRect = yield el.boundingBox();
        const yOutOfRect = fromRect.y + fromRect.height + 1;
        yield el.dispatchEvent("mousedown", {
            bubbles: true,
            cancelable: true,
            clientX: fromRect.x,
            clientY: fromRect.y
        });
        yield el.dispatchEvent("mousemove", {
            bubbles: true,
            cancelable: true,
            clientX: fromRect.x,
            clientY: yOutOfRect
        });
        const hasDragDropTarget = yield page.body.locator((0, getSelector_1.getSelector)({ testid: "dragdrop-target" })).isVisible();
        yield el.dispatchEvent("mouseup", {
            bubbles: true,
            cancelable: true,
            clientX: fromRect.x,
            clientY: fromRect.y
        });
        return hasDragDropTarget;
    });
}
function canDragDropInto(page, row, rowTarget) {
    return __awaiter(this, void 0, void 0, function* () {
        const fromRect = yield row.getCellByIndex(0).el.boundingBox();
        const toRect = yield rowTarget.getCellByIndex(0).el.boundingBox();
        const target = {
            x: toRect.x,
            y: toRect.y
        };
        yield row.el.dispatchEvent("mousedown", {
            bubbles: true,
            cancelable: true,
            clientX: fromRect.x,
            clientY: fromRect.y
        });
        yield row.el.dispatchEvent("mousemove", {
            bubbles: true,
            cancelable: true,
            clientX: target.x,
            clientY: target.y
        });
        const canDragDropInto = yield row.canDragDropInto();
        yield row.el.dispatchEvent("mouseup", {
            bubbles: true,
            cancelable: true,
            clientX: fromRect.x,
            clientY: fromRect.y
        });
        return canDragDropInto;
    });
}
