"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getListToolbar = void 0;
const toolbar_1 = require("../../toolbar/toolbar");
const getSelector_1 = require("../../../utils/getSelector");
function getListToolbar(parentEl) {
    const toolbar = (0, toolbar_1.getToolbar)(parentEl);
    const countItem = toolbar.item("row-count");
    return Object.assign(Object.assign({}, toolbar), { get listView() {
            return toolbar.item("ListView");
        },
        get namedFilter() {
            return toolbar.item("NamedFilter");
        },
        get refresh() {
            return toolbar.item("Refresh");
        },
        get countItem() {
            return countItem;
        },
        get count() {
            return listCount(countItem);
        },
        itemsCount() {
            return this.el.locator("li:not(.divider):visible").count();
        } });
}
exports.getListToolbar = getListToolbar;
function listCount(el) {
    const rowsCountSelector = (0, getSelector_1.getSelector)({
        testid: "rows-count"
    });
    const rowsUnkownSelector = (0, getSelector_1.getSelector)({
        icon: "question-circle"
    });
    return {
        el,
        valueVisible() {
            return __awaiter(this, void 0, void 0, function* () {
                const [rowsVisible, unknownHidden] = yield Promise.all([
                    el.locator(rowsCountSelector).isVisible(),
                    el.locator(rowsUnkownSelector).isHidden()
                ]);
                return rowsVisible && unknownHidden;
            });
        },
        valueIsUnknown() {
            return this.valueVisible().then((res) => !res);
        },
        value() {
            return __awaiter(this, void 0, void 0, function* () {
                if (yield this.valueIsUnknown)
                    return el.locator(rowsCountSelector).textContent();
                throw new Error("Количество строк не отображено");
            });
        }
    };
}
