"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.strictListEquality = void 0;
const cucumber_1 = require("@cucumber/cucumber");
const tableManager_1 = require("../../../../utils/tableManager");
const list_steps_1 = require("../../list.steps");
const setup_1 = require("../../../../../setup/setup");
const headerCompare_steps_1 = require("../headerCompare.steps");
const notFoundRecords_1 = require("./notFoundRecords");
/**
 * Список из нескольких записей, можно указать колонку выбора записей
 * Учитывается порядок записей
 * Учитывается порядок колонок
 *
 *
   Пусть в списке есть следующие записи:
   |     | Наименования_поля | Булево_поле | Поле_с_датой   |
   | [ ] | Значение_1        | [ ]         | 29.02.2024     |
   | [ ] | Значение_2        | [x]         | {текущая дата} |
   | [ ] | Значение_3        | [-]         |                |
 */
(0, cucumber_1.Given)("в списке есть следующие записи:", { timeout: setup_1.config.largeTimeout }, function (dataTable) {
    return __awaiter(this, void 0, void 0, function* () {
        const list = yield (0, list_steps_1.getList)(this);
        const listData = (0, tableManager_1.getListData)(dataTable);
        yield strictListEquality(list, listData);
    });
});
/**
 * Список из нескольких записей, можно указать колонку выбора записей
 *
   Пусть в списке есть следующие записи:
   |     | Наименования_поля | Булево_поле | Поле_с_датой   |
   | [ ] | Значение_1        | [ ]         | 29.02.2024     |
   | [ ] | Значение_2        | [x]         | {текущая дата} |
   | [ ] | Значение_3        | [-]         |                |
 */
(0, cucumber_1.Then)("в списке будут следующие записи:", { timeout: setup_1.config.largeTimeout }, function (dataTable) {
    return __awaiter(this, void 0, void 0, function* () {
        const list = yield (0, list_steps_1.getList)(this);
        const listData = (0, tableManager_1.getListData)(dataTable);
        yield strictListEquality(list, listData);
    });
});
function strictListEquality(list, listData) {
    return __awaiter(this, void 0, void 0, function* () {
        const options = {
            hasSelect: listData.hasSelectColumn()
        };
        yield (0, headerCompare_steps_1.strictHeaderRowCompare)(list.getHeaderRow(), listData.getHeaderRow(), options);
        const records = listData.getRecords();
        const notFoundRecords = yield (0, notFoundRecords_1.getNotFoundRecords)(records, list, (row) => {
            return row.cellsValue(options);
        });
        (0, notFoundRecords_1.showNotFoundRecord)(notFoundRecords);
    });
}
exports.strictListEquality = strictListEquality;
