"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.strictHeaderRowCompare = void 0;
const cucumber_1 = require("@cucumber/cucumber");
const setup_1 = require("../../../../setup/setup");
const tableManager_1 = require("../../../utils/tableManager");
const list_steps_1 = require("../list.steps");
const test_1 = require("@playwright/test");
/**
 * Проверяется полное совпадение имен колонок, порядок колонок и их количество
 *
   Пусть в списке есть следующие колонки:
   | Наименования_поля | Булево_поле | Поле_с_датой   |
 */
(0, cucumber_1.Given)("в списке есть следующие колонки:", { timeout: setup_1.config.largeTimeout }, function (dataTable) {
    return __awaiter(this, void 0, void 0, function* () {
        const list = yield (0, list_steps_1.getList)(this);
        const listData = (0, tableManager_1.getListData)(dataTable);
        yield expectListColumns(list, listData);
    });
});
(0, cucumber_1.Then)("в списке будут следующие колонки:", { timeout: setup_1.config.largeTimeout }, function (dataTable) {
    return __awaiter(this, void 0, void 0, function* () {
        const list = yield (0, list_steps_1.getList)(this);
        const listData = (0, tableManager_1.getListData)(dataTable);
        yield expectListColumns(list, listData);
    });
});
function expectListColumns(list, listData) {
    return __awaiter(this, void 0, void 0, function* () {
        const options = {
            hasSelect: listData.hasSelectColumn()
        };
        yield strictHeaderRowCompare(list.getHeaderRow(), listData.getHeaderRow(), options);
    });
}
function strictHeaderRowCompare(headerRow, listDataHeaderRow, options) {
    return __awaiter(this, void 0, void 0, function* () {
        const cellsValue = yield headerRow.cellsValue(options);
        (0, test_1.expect)(cellsValue).toEqual(listDataHeaderRow);
    });
}
exports.strictHeaderRowCompare = strictHeaderRowCompare;
