"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorHandler = void 0;
class ErrorHandler {
    constructor(page) {
        this.page = page;
    }
    handle(action, onError) {
        let consoleHandler;
        return new Promise((resolve) => {
            consoleHandler = (message) => {
                if (message.type() != "error")
                    return;
                onError(message.text());
                resolve(true);
            };
            this.page.cucumberPage.once("console", consoleHandler);
            action().finally(() => resolve(false));
        }).finally(() => {
            this.page.cucumberPage.off("console", consoleHandler);
        });
    }
}
exports.ErrorHandler = ErrorHandler;
