"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodesStateAccessor = void 0;
const asyncArray_1 = require("../../../utils/asyncArray");
class NodesStateAccessor {
    constructor(page) {
        this.page = page;
    }
    getApps() {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.page.header.apps.click();
            yield this.page.header.apps.waitFor();
            return yield this.page.appsTiles.itemEl.allTextContents();
        });
    }
    getTopNavs() {
        return __awaiter(this, void 0, void 0, function* () {
            return yield this.page.header.navItemEl.allTextContents();
        });
    }
    getLeftNavs() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.getLeftNavChildren(this.page.leftNav.list);
        });
    }
    getLeftNavChildren(list) {
        return __awaiter(this, void 0, void 0, function* () {
            const items = yield list.items();
            if (!items.length)
                return null;
            return (0, asyncArray_1.asyncMap)(items, (listItem) => __awaiter(this, void 0, void 0, function* () {
                const title = yield listItem.content.textContent();
                const isParent = yield listItem.isParent();
                return {
                    title,
                    children: isParent ? yield this.getLeftNavChildren(listItem.list) : void 0
                };
            }));
        });
    }
}
exports.NodesStateAccessor = NodesStateAccessor;
