"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSide = void 0;
function getSide(parentEl) {
    const titleSelector = ".form-sidebar-title span";
    const contentSelector = ".form-sidebar-container form";
    let ready = true;
    const el = () => parentEl.locator(`.panel${ready ? ":not(.closing, .animating)" : ""} > .content > [code="Sidebar"].form-sidebar`);
    return {
        get el() {
            return el();
        },
        inAnyState() {
            ready = false;
        },
        get content() {
            return el().locator(contentSelector);
        },
        titleSelector,
        contentSelector,
        get header() {
            return {
                el: el().locator(".form-sidebar-title"),
                title: el().locator(titleSelector).first(),
                subtitle: el().locator(".form-sidebar-title small").first()
            };
        }
    };
}
exports.getSide = getSide;
