import type { IConfiguration } from "@cucumber/cucumber/lib/configuration/types";
import { DefineStepPattern, IDefineStepOptions, TestStepFunction } from "@cucumber/cucumber/lib/support_code_library_builder/types";
export declare type ICucumberConfig = Partial<IConfiguration>;
export declare type IConfig = IConfigApp & IConfigBase;
export interface IConfigApp {
    url: string;
    users: {
        [k: string]: string;
    };
    defaultUser?: string;
}
export interface IConfigBase {
    /**
     * @default 10000
     */
    timeout: number;
    /**
     * @default 30000
     */
    largeTimeout: number;
    /**
     * @default 0
     */
    slowMo: number;
    /**
     * @default 3
     */
    maxRetries: number;
    /**
     * @default true
     */
    reloadOnError: boolean;
    /**
     * @default false
     */
    devTools?: boolean;
    /**
     * @default true
     */
    enableRecordSnapshots?: boolean;
    timezone?: string;
}
export interface ISetup {
    features: string[];
    steps: string[];
    exitOnEnd: boolean;
}
export interface ISettings {
    cucumberConfiguration: ICucumberConfig;
    config: IConfig;
    debugMode?: IDebugMode;
}
export interface IUserSettings {
    tests: ISetup;
    app: IConfigApp;
    setup: IConfigBase;
    debug: IDebugConfig;
}
export declare type IDebugMode = "disabled" | "browser" | "inspectTool";
export interface IDebugConfig {
    mode?: IDebugMode;
    devTools?: boolean;
}
export declare type StepDefinition<PageObjectType> = (<WorldType = PageObjectType>(pattern: DefineStepPattern, code: TestStepFunction<WorldType>) => void) & (<WorldType_1 = PageObjectType>(pattern: DefineStepPattern, options: IDefineStepOptions, code: TestStepFunction<WorldType_1>) => void);
