import { Index } from "./numberAndIndex";
declare type CallBackForEach<T> = (value: T, index: Index, collection?: T[]) => Promise<void>;
export declare function asyncForEach<T>(elements: T[], cb: CallBackForEach<T>): Promise<void>;
declare type CallBackFindIndex<T> = (value: T, index?: Index, collection?: T[]) => Promise<boolean>;
export declare function asyncFindIndex<T>(elements: T[], cb: CallBackFindIndex<T>): Promise<Index>;
declare type CallBackMap<T, R> = (value: T, index?: number, collection?: T[]) => Promise<R>;
export declare function asyncMap<T, R>(elements: T[], cb: CallBackMap<T, R>): Promise<R[]>;
declare type CallBackFilter<T> = (value: T, index?: number, collection?: T[]) => Promise<boolean>;
export declare function asyncFilter<T>(elements: T[], cb: CallBackFilter<T>): Promise<T[]>;
declare type CallBackSome<T> = (value: T, index?: number, collection?: T[]) => Promise<boolean>;
export declare function asyncSome<T>(elements: T[], cb: CallBackSome<T>): Promise<boolean>;
declare type CallBackReduceRight<T, R> = (accumulator: T | R, value: T, index?: number, collection?: T[]) => Promise<T | R>;
export declare function asyncReduceRight<T, R>(elements: T[], cb: CallBackReduceRight<T, R>, initialValue?: R): Promise<T | R>;
declare type CallBackReduce<T, R> = (accumulator: R, value: T, index?: number, collection?: T[]) => Promise<R>;
export declare function asyncReduce<T, R>(elements: T[], cb: CallBackReduce<T, R>, initialValue?: R): Promise<T | R>;
declare type CallBackEvery<T> = (value: T, index?: number, collection?: T[]) => Promise<boolean>;
export declare function asyncEvery<T>(elements: T[], cb: CallBackEvery<T>): Promise<boolean>;
export {};
