import { Locator } from "@playwright/test";
import { Content } from "../pageObject/content/content";
import { Modal } from "../pageObject/modal/modal";
import { Page } from "../pageObject/page";
import { Side } from "../pageObject/side/side";
export declare function getContentManager(page: Page): ContentManager;
export declare class ContentManager {
    private containers;
    constructor(page: Page);
    getActive(): Promise<Active>;
    getContainer(type: ContainerType): Content | Modal | Side;
    getContainerEl(type: ContainerType, options?: SpecificSearchOptions): Locator;
    waitForHidden(type: ContainerType, options?: SpecificSearchOptions & {}): Promise<void>;
    private getSpecific;
    private searchQueue;
}
interface SpecificSearchOptions {
    title?: string;
    hasSelector?: string;
}
interface ContainerHeader {
    title: Locator;
    subtitle?: Locator;
    [k: string]: any;
}
export interface Container {
    readonly titleSelector: string;
    readonly header: ContainerHeader;
    readonly contentSelector: string;
    readonly content: Locator;
    readonly el: Locator;
}
export declare type ContainerType = Active["type"];
export declare type Active = {
    type: "modal";
    container: Modal;
} | {
    type: "side";
    container: Side;
} | {
    type: "content";
    container: Content;
};
export declare function containerTypeToText(type: ContainerType): string;
export {};
