"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateDateRegex = void 0;
function generateDateRegex(date) {
    // Получаем дату и время из объекта Date
    const year = date.getFullYear();
    const month = String(date.getMonth() + 1).padStart(2, "0");
    const day = String(date.getDate()).padStart(2, "0");
    const hours = String(date.getHours()).padStart(2, "0");
    const minutes = String(date.getMinutes()).padStart(2, "0");
    // Создаем шаблон для генерации регулярного выражения
    const regexPattern = `${year}-${month}-${day}\\s${hours}:${minutes}`;
    // Создаем регулярное выражение для поиска даты с разницей в максимум 5 минут
    const regex = new RegExp(regexPattern.replace(/\d{2}:\d{2}/, function (match) {
        const [hours, minutes] = match.split(":").map(Number);
        return `${hours}:${minutes - 5 <= 0 ? "00" : minutes - 5}`;
    }) +
        "|" +
        regexPattern.replace(/\d{2}:\d{2}/, function (match) {
            const [hours, minutes] = match.split(":").map(Number);
            return `${hours}:${minutes + 5 >= 60 ? "00" : minutes + 5}`;
        }));
    return regex;
}
exports.generateDateRegex = generateDateRegex;
