"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileManager = exports.getFilePath = void 0;
const path = require("path");
const rootFinder_1 = require("./rootFinder");
function getFilePath(fileName) {
    return path.resolve(rootFinder_1.PACKAGE_JSON_PATH, "assets", fileName);
}
exports.getFilePath = getFilePath;
class FileManagerClass {
    init(cucumberPage) {
        this.page = cucumberPage;
        this.page.on("download", (download) => (this.lastDownloaded = download));
        return this;
    }
    waitDownload() {
        return __awaiter(this, void 0, void 0, function* () {
            if (!this.lastDownloaded) {
                this.lastDownloaded = yield this.page.waitForEvent("download");
            }
            const lastDownloaded = this.lastDownloaded;
            this.lastDownloaded = void 0;
            // wait for download to complete
            yield lastDownloaded.path();
            return lastDownloaded;
        });
    }
}
exports.FileManager = new FileManagerClass();
