"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSelectors = exports.getAttribute = exports.getSelector = void 0;
const E2E_DATA_ATTRIBUTE = "data-e2e";
function getSelector(...markOptionsArray) {
    let result = "";
    markOptionsArray.forEach((markOptions) => {
        Object.entries(markOptions).forEach(([key, value]) => {
            if (value === void 0)
                return;
            result = result + `[${getAttribute(key, value)}]`;
        });
    });
    return result;
}
exports.getSelector = getSelector;
function getAttribute(key, value) {
    if (value == void 0)
        return `${E2E_DATA_ATTRIBUTE}-${key}`;
    return `${E2E_DATA_ATTRIBUTE}-${key}="${value}"`;
}
exports.getAttribute = getAttribute;
function getSelectors(selectorsMap) {
    const result = {};
    Object.keys(selectorsMap).forEach((key) => {
        result[key] = getSelector({
            testid: selectorsMap[key]
        });
    });
    return result;
}
exports.getSelectors = getSelectors;
