"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class LanguageManagerClass {
    constructor() {
        this.ruLangInited = false;
    }
    usePage(page) {
        this.page = page;
    }
    changeLanguage(language) {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.page.cucumberPage.evaluate(({ language, ruLangId }) => {
                const mdt = globalThis.MDT;
                return mdt.Api.fetchRecord("mdt.Language", {
                    select: ["ID", "Title"],
                    table: "mdt.Language",
                    filter: mdt.Filter.eq("Title", language),
                    ID_Language_ext: ruLangId
                }).then((newLang) => {
                    return mdt.Api.request("mdt/profile", { ID_Language: newLang.ID }, { method: "POST" });
                });
            }, {
                language,
                ruLangId: this.ruLangId
            });
            yield this.page.reload();
        });
    }
    initRuLang() {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.ruLangInited)
                return;
            this.ruLangId = yield this.page.cucumberPage.evaluate(() => {
                const mdt = globalThis.MDT;
                return mdt.Api.fetchRecord("mdt.Language", {
                    select: ["ID"],
                    table: "mdt.Language",
                    filter: mdt.Filter.eq("Code", "ru")
                }).then((ruLang) => {
                    return ruLang.ID;
                });
            });
            this.ruLangInited = true;
        });
    }
}
const languageManager = new LanguageManagerClass();
exports.default = languageManager;
