"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PathList = void 0;
class PathList {
    constructor(fullPath) {
        this.fullPath = fullPath;
        this.pathSeparator = " > ";
        this.pathList = this.fullPath.split(this.pathSeparator).reverse();
        this.rest = [...this.pathList];
        this.takeNext = () => this.rest.pop();
        this.isEmpty = () => this.rest.length <= 0;
        this.hasNext = () => this.rest.length > 0;
    }
    get currentPath() {
        return this.fullPath.substring(0, this.fullPath.indexOf(this.restOfPath));
    }
    get restOfPath() {
        return this.rest.reverse().join(this.pathSeparator);
    }
    get last() {
        return this.pathList[0];
    }
    get path() {
        return [...this.fullPath.split(this.pathSeparator)];
    }
}
exports.PathList = PathList;
