"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getListData = exports.getRecord = exports.getRowsData = exports.getRowData = void 0;
const numberAndIndex_1 = require("./numberAndIndex");
/**
 * | Значение 1 | Значение 2 | Значение 3 |
 */
function getRowData(dataTable) {
    return getRowsData(dataTable)[0];
}
exports.getRowData = getRowData;
/**
    значения в матрицу (двумерный массив)
    | [x] | (выбрать все) |
    | [x] | 5             |
    | [x] | 55            |
    | [x] | 555           |
 */
function getRowsData(dataTable) {
    return dataTable.raw();
}
exports.getRowsData = getRowsData;
/**
 * @param dataTable - Таблица из двух колонок. Колонки с полем и значением.
 */
function getRecord(dataTable) {
    const raw = dataTable.raw();
    const tableColumnsCount = raw[0].length;
    if (tableColumnsCount == 2)
        return dataTable.rowsHash();
    else
        throw new Error("Таблица с записью должна состоять из 2 колонок");
}
exports.getRecord = getRecord;
const LIST_HEADER_ROW_INDEX = 0;
function getListData(dataTable) {
    const listRecords = dataTable.hashes();
    const listHeaderRow = dataTable.raw()[LIST_HEADER_ROW_INDEX];
    const listDataRows = dataTable.rows();
    return {
        hasSelectColumn() {
            var _a;
            return ((_a = this.getHeaderRow()[0].match(/\[[x-\s]\]/)) === null || _a === void 0 ? void 0 : _a.length) == 1;
        },
        getRecords() {
            return listRecords;
        },
        getHeaderRow() {
            return listHeaderRow;
        },
        getRow(rowNumber) {
            const index = (0, numberAndIndex_1.getIndexFromNumber)(rowNumber);
            return listDataRows[index];
        },
        getRows() {
            return listDataRows;
        }
    };
}
exports.getListData = getListData;
