"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logoutUser = exports.loginByUser = void 0;
const setup_1 = require("../../setup/setup");
function loginByUser(page, userName) {
    return __awaiter(this, void 0, void 0, function* () {
        const userAuthToken = setup_1.config.users[userName];
        if (!userAuthToken)
            throw new Error("Пользователь не найден");
        yield setAuthToken(page, userAuthToken);
    });
}
exports.loginByUser = loginByUser;
function logoutUser(page) {
    return __awaiter(this, void 0, void 0, function* () {
        yield setAuthToken(page);
        yield page.reload();
    });
}
exports.logoutUser = logoutUser;
function setAuthToken(page, token) {
    return __awaiter(this, void 0, void 0, function* () {
        yield global.context.setExtraHTTPHeaders({ Authorization: token ? `Bearer ${token}` : void 0 });
    });
}
