"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.waitForAppLoad = void 0;
const getSelector_1 = require("./getSelector");
function waitForAppLoad(page, options) {
    return __awaiter(this, void 0, void 0, function* () {
        yield page.locator((0, getSelector_1.getSelector)({ testid: "mdt-app" })).waitFor(options);
        yield page.waitForFunction(() => new Promise((resolve) => {
            setTimeout(() => {
                var _a;
                const appInited = (_a = window === null || window === void 0 ? void 0 : window._appInited) === null || _a === void 0 ? void 0 : _a.call(window);
                if (appInited)
                    return appInited.finally(resolve);
                resolve();
            }, 0);
        }));
    });
}
exports.waitForAppLoad = waitForAppLoad;
