"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.prepareSettings = void 0;
const getModuleSettings_1 = require("./getModuleSettings");
const validateUserSettings_1 = require("./validateUserSettings");
const setup_1 = require("../../../setup/setup");
const buildSettings_1 = require("./buildSettings");
const getSettingsFilePath_1 = require("./getSettingsFilePath");
const applyDebug_1 = require("./applyDebug");
function prepareSettings(baseCucumberConfig, baseSetupConfig) {
    try {
        const moduleSettings = (0, getModuleSettings_1.getModuleSettings)((0, getSettingsFilePath_1.getModuleSettingsPath)());
        (0, validateUserSettings_1.validateModuleSettings)(moduleSettings);
        const settings = (0, buildSettings_1.buildSettings)(moduleSettings, baseCucumberConfig, baseSetupConfig);
        (0, setup_1.setupConfig)(settings.config);
        (0, applyDebug_1.applyDebugMode)(settings.debugMode);
        return settings;
    }
    catch (error) {
        console.error(error);
        process.exit(1);
    }
}
exports.prepareSettings = prepareSettings;
