"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const cucumber_1 = require("@cucumber/cucumber");
const page_1 = require("../src/pageObject/page");
const setup_1 = require("./setup");
const userLogin_1 = require("../src/utils/userLogin");
const snapshots_1 = require("../src/utils/snapshots/snapshots");
const pageAfterRetries_1 = require("./pageAfterRetries");
if (setup_1.config.enableRecordSnapshots) {
    (0, cucumber_1.BeforeAll)({ timeout: setup_1.config.largeTimeout * 2 }, function () {
        return __awaiter(this, void 0, void 0, function* () {
            if (!setup_1.config.defaultUser)
                return;
            console.log("\nСоздаётся снапшот!\n");
            const page = yield (0, pageAfterRetries_1.pageAfterRetries)(global.context, setup_1.config.url, setup_1.config.maxRetries);
            yield (0, userLogin_1.loginByUser)(page, setup_1.config.defaultUser);
            yield (0, snapshots_1.forceCreateSnapshot)();
            yield page.close();
        });
    });
    (0, cucumber_1.AfterAll)({ timeout: setup_1.config.largeTimeout * 2 }, function () {
        return __awaiter(this, void 0, void 0, function* () {
            console.log("Данные восстанавливаются!");
            const page = yield (0, pageAfterRetries_1.pageAfterRetries)(global.context, setup_1.config.url, setup_1.config.maxRetries);
            yield (0, userLogin_1.loginByUser)(page, setup_1.config.defaultUser);
            yield (0, snapshots_1.restoreSnapshot)();
            yield page.close();
        });
    });
}
(0, cucumber_1.setWorldConstructor)(page_1.Page);
