"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.pageAfterRetries = void 0;
function pageAfterRetries(context, url, maxRetries) {
    return __awaiter(this, void 0, void 0, function* () {
        if (!maxRetries)
            return;
        const page = yield context.newPage();
        const [_, response] = yield Promise.all([
            page.goto(url),
            page.waitForEvent("response", (response) => response.request().resourceType() === "document")
        ]);
        const status = response.status();
        if ([502, 503].includes(status)) {
            yield page.close();
            return pageAfterRetries(context, url, maxRetries - 1);
        }
        return page;
    });
}
exports.pageAfterRetries = pageAfterRetries;
