"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getContent = void 0;
const progressBar_1 = require("../progressBar/progressBar");
const getSelector_1 = require("../../utils/getSelector");
const skeleton_1 = require("../progressBar/skeleton/skeleton");
const selectors = (0, getSelector_1.getSelectors)({
    header: "content-head",
    headerTitle: "content-head-title"
});
function getContent(parentEl) {
    const el = parentEl.locator(".panel > .content > #content");
    const titleSelector = `${selectors.header} ${selectors.headerTitle}`;
    const contentSelector = ".page-block-content";
    return {
        el,
        titleSelector,
        contentSelector,
        get header() {
            return {
                title: el.locator(titleSelector)
            };
        },
        get content() {
            return el.locator(contentSelector);
        },
        waitForLoading() {
            return __awaiter(this, void 0, void 0, function* () {
                const progressBar = (0, progressBar_1.getProgressBar)(this.content);
                yield progressBar.waitForComplete();
                const skeleton = new skeleton_1.Skeleton(this.content);
                yield skeleton.waitForCompleteIfExist();
            });
        }
    };
}
exports.getContent = getContent;
