"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getContextMenu = void 0;
const getSelector_1 = require("../../utils/getSelector");
function getContextMenu(parentEl) {
    const selectors = (0, getSelector_1.getSelectors)({
        menu: "context-menu",
        action: "context-menu-item"
    });
    const el = parentEl.locator(selectors.menu);
    return {
        el,
        getAction(actionTitle) {
            return el.locator(selectors.action, {
                hasText: actionTitle
            });
        }
    };
}
exports.getContextMenu = getContextMenu;
