"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const mdt_1 = require("../../api/mdt");
const test_1 = require("@playwright/test");
(0, mdt_1.When)("нажимаем кнопку {string} в контекстном меню.", function (button) {
    return __awaiter(this, void 0, void 0, function* () {
        const contextMenu = yield this.getContextMenu();
        const action = contextMenu.getAction(button);
        yield action.click();
    });
});
(0, mdt_1.Then)("появляется контекстное меню.", function () {
    return __awaiter(this, void 0, void 0, function* () {
        const contextMenu = yield this.getContextMenu();
        yield (0, test_1.expect)(contextMenu.el).toBeVisible();
    });
});
(0, mdt_1.Then)("контекстное меню закрывается.", function () {
    return __awaiter(this, void 0, void 0, function* () {
        const contextMenu = yield this.getContextMenu({
            ready: false
        });
        yield (0, test_1.expect)(contextMenu.el).toBeHidden();
    });
});
(0, mdt_1.Then)("в контекстном меню есть кнопка {string}.", function (button) {
    return __awaiter(this, void 0, void 0, function* () {
        const contextMenu = yield this.getContextMenu();
        const action = contextMenu.getAction(button);
        yield (0, test_1.expect)(action).toBeVisible();
    });
});
