import { Locator } from "@playwright/test";
import { Page } from "../../../../page";
import { IControl } from "../controls";
export declare class Boolean implements IControl {
    type: "checkbox";
    el: Locator;
    parentEl: Locator;
    constructor(parentEl: Locator);
    isExistAsync(): Promise<boolean>;
    displayValueAsync(): Promise<string>;
    get input(): Locator;
    isReadonly(): Promise<boolean>;
}
export declare function getCheckbox(parentEl: Locator): Locator;
export declare function getBooleanControl(parentEl: Locator): Boolean;
export declare function setCheckboxValue(page: Page, checkbox: Boolean, value: string): Promise<void>;
export declare const booleanSelectors: {
    checkbox: string;
    trueStateIcon: string;
    falseStateIcon: string;
    indeterminateStateIcon: string;
};
export declare const booleanSelector: string;
export declare const booleanData: {
    indeterminate: string;
    truthy: string;
    false: string;
};
export declare function isBoolean(parentEl: Locator): Promise<boolean>;
export declare function isValueBoolean(value: string): boolean;
export declare function getBooleanValue(parentEl: Locator): Promise<string>;
export declare function getBooleanFromData(value: string): boolean | null;
