import { Locator } from "@playwright/test";
import { Page } from "../../../../page";
import { IControl } from "../controls";
import { ProgressBar } from "../../../../progressBar/progressBar";
export declare class FileControl implements IControl {
    el: Locator;
    type: "file";
    private selectors;
    fileWrap: Locator;
    private image;
    private imageContent;
    progressBar: ProgressBar;
    constructor(parentEl: Locator);
    isExistAsync(): Promise<boolean>;
    displayValueAsync(): Promise<string>;
    hasFile(): Promise<boolean>;
    getIcon(): Promise<string>;
    isImage(): Promise<boolean>;
    hasImageFile(): Promise<boolean>;
    imageHeight(height: any): Promise<boolean>;
    imageWidth(width: any): Promise<boolean>;
    get imageFile(): Locator;
    get ImageFileClear(): Locator;
    get clear(): Locator;
    get upload(): Locator;
    get input(): Locator;
    isReadonly(): Promise<boolean>;
}
export declare function getFileControl(parentEl: Locator): FileControl;
export declare function setFileControlValue(page: Page, file: FileControl, fileName: string): Promise<void>;
export declare function clearFileControlValue(file: FileControl): Promise<void>;
