"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFilesList = void 0;
const getSelector_1 = require("../../../../../utils/getSelector");
const numberAndIndex_1 = require("../../../../../utils/numberAndIndex");
function getFilesList(parentEl) {
    const selectors = {
        list: (0, getSelector_1.getSelector)({ testid: "file-list-control" }),
        file: (0, getSelector_1.getSelector)({ testid: "list-file" }),
        uploadItem: (0, getSelector_1.getSelector)({ testid: "file-list-upload" }),
        fileTitle: (0, getSelector_1.getSelector)({ testid: "list-file-title" }),
        fileClear: (0, getSelector_1.getSelector)({ testid: "list-file-delete" })
    };
    const el = parentEl.locator(selectors.list);
    const fileEl = el.locator(selectors.file);
    return {
        el,
        hasFile(fileName) {
            const item = fileEl.locator(`${selectors.fileTitle}:has-text("${fileName}")`);
            return item.isVisible();
        },
        file(fileNumber) {
            const index = (0, numberAndIndex_1.getIndexFromNumber)(fileNumber);
            const file = fileEl.nth(index);
            return {
                el: file,
                title: file.locator(selectors.fileTitle),
                clear: file.locator(selectors.fileClear)
            };
        },
        upload: el.locator(selectors.uploadItem)
    };
}
exports.getFilesList = getFilesList;
