"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@playwright/test");
const cucumber_1 = require("@cucumber/cucumber");
(0, cucumber_1.When)("закрываем галерею.", function () {
    return __awaiter(this, void 0, void 0, function* () {
        yield this.gallery.close.click();
    });
});
(0, cucumber_1.When)("нажимаем кнопку скачивания изображения.", function () {
    return __awaiter(this, void 0, void 0, function* () {
        const download = this.gallery.download;
        yield download.click();
    });
});
(0, cucumber_1.When)("нажимаем кнопку поворота влево.", function () {
    return __awaiter(this, void 0, void 0, function* () {
        const rotateLeft = this.gallery.rotateLeft;
        this.scenarioState.set("gallery.imageData", yield this.gallery.image.boundingBox());
        yield rotateLeft.click();
    });
});
(0, cucumber_1.When)("нажимаем кнопку поворота вправо.", function () {
    return __awaiter(this, void 0, void 0, function* () {
        const rotateRight = this.gallery.rotateRight;
        this.scenarioState.set("gallery.imageData", yield this.gallery.image.boundingBox());
        yield rotateRight.click();
    });
});
(0, cucumber_1.When)("в галерее пролистываем влево.", function () {
    return __awaiter(this, void 0, void 0, function* () {
        const actionLeft = this.gallery.actionLeft;
        yield actionLeft.waitFor();
        yield actionLeft.click();
    });
});
(0, cucumber_1.When)("в галерее пролистываем вправо.", function () {
    return __awaiter(this, void 0, void 0, function* () {
        const actionRight = this.gallery.actionRight;
        yield actionRight.waitFor();
        yield actionRight.click();
    });
});
(0, cucumber_1.Then)("открывается галерея.", function () {
    return __awaiter(this, void 0, void 0, function* () {
        (0, test_1.expect)(yield this.gallery.waitForExist()).toBeTruthy();
    });
});
(0, cucumber_1.Then)("галерея закрывается.", function () {
    return __awaiter(this, void 0, void 0, function* () {
        yield (0, test_1.expect)(this.gallery.el).toBeHidden();
    });
});
(0, cucumber_1.Then)("в галерее есть кнопка поворота влево.", function () {
    return __awaiter(this, void 0, void 0, function* () {
        const rotateLeft = this.gallery.rotateLeft;
        yield (0, test_1.expect)(rotateLeft).toBeVisible();
    });
});
(0, cucumber_1.Then)("заголовок галереи - {string}.", function (value) {
    return __awaiter(this, void 0, void 0, function* () {
        const galleryTitle = this.gallery.title;
        (0, test_1.expect)(yield galleryTitle.textContent()).toBe(value);
    });
});
(0, cucumber_1.Then)("в галерее есть кнопка поворота вправо.", function () {
    return __awaiter(this, void 0, void 0, function* () {
        const rotateRight = this.gallery.rotateRight;
        yield (0, test_1.expect)(rotateRight).toBeVisible();
    });
});
(0, cucumber_1.Then)("в галерее есть кнопка скачивания изображения.", function () {
    return __awaiter(this, void 0, void 0, function* () {
        const download = this.gallery.download;
        yield (0, test_1.expect)(download).toBeVisible();
    });
});
(0, cucumber_1.Then)("изображение поворачивается.", function () {
    return __awaiter(this, void 0, void 0, function* () {
        const oldData = this.scenarioState.get("gallery.imageData");
        const newData = yield this.gallery.image.boundingBox();
        (0, test_1.expect)(newData.height).not.toBe(oldData.height);
        (0, test_1.expect)(newData.width).not.toBe(oldData.width);
    });
});
