import { Locator } from "@playwright/test";
import { Page } from "../../../../page";
import { IControl } from "../controls";
export declare class Picker implements IControl {
    el: Locator;
    type: "picker";
    static selectors: {
        el: string;
        clear: string;
        action: string;
    };
    constructor(parentEl: Locator);
    isReadonly(): Promise<boolean>;
    isExistAsync(): Promise<boolean>;
    displayValueAsync(): Promise<string>;
    hasPickedItem(): Promise<boolean>;
    get pickedItem(): Locator;
    get input(): Locator;
    get clear(): Locator;
    get action(): Locator;
}
export declare function getPicker(parentEl: Locator): Picker;
export declare function setPickerValue(page: Page, picker: Picker, value: string): Promise<void>;
export declare function clearPickerValue(picker: Picker): Promise<void>;
