"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setRadioPickerValue = exports.getRadioPicker = exports.RadioPicker = void 0;
const getSelector_1 = require("../../../../../utils/getSelector");
class RadioPicker {
    constructor(parentEl) {
        this.type = "radio";
        this.el = parentEl.locator(RadioPicker.selectors.el);
    }
    getOption(textValue) {
        return this.el.locator(`${RadioPicker.selectors.item}:has-text("${textValue}")`).locator("input");
    }
    isExistAsync() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.el.isVisible();
        });
    }
    displayValueAsync() {
        return __awaiter(this, void 0, void 0, function* () {
            let checkedIndex = null;
            const item = this.el.locator(RadioPicker.selectors.item).locator("input");
            for (let i = 0; i < (yield item.count()); i++) {
                if (yield item.nth(i).isChecked()) {
                    checkedIndex = i;
                    break;
                }
            }
            if (checkedIndex == null)
                return "";
            return yield item.nth(checkedIndex).textContent();
        });
    }
    isReadonly() {
        return __awaiter(this, void 0, void 0, function* () {
            // Нет собственного readonly состояния
            return false;
        });
    }
}
exports.RadioPicker = RadioPicker;
RadioPicker.selectors = (0, getSelector_1.getSelectors)({
    el: "radio-picker",
    item: "radio-picker-item"
});
function getRadioPicker(parentEl) {
    return new RadioPicker(parentEl);
}
exports.getRadioPicker = getRadioPicker;
function setRadioPickerValue(page, radioPicker, value) {
    return __awaiter(this, void 0, void 0, function* () {
        const option = radioPicker.getOption(value);
        yield option.click();
    });
}
exports.setRadioPickerValue = setRadioPickerValue;
