"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFormList = void 0;
const list_1 = require("../../list/list");
const getSelector_1 = require("../../../utils/getSelector");
function getFormList(parentEl, title) {
    return __awaiter(this, void 0, void 0, function* () {
        let titleSelector = `${(0, getSelector_1.getSelector)({ testid: "field-label" })}:has-text("${title}"), h2:has-text("${title}")`;
        let wrapper = parentEl.locator(`.form-group:has(${titleSelector}):has(${list_1.LIST_SELECTOR})`);
        let list = new list_1.List(wrapper);
        if (yield list.el.isVisible())
            return list;
        wrapper = parentEl.locator(`h4:has-text("${title}") + .content-wrap:has(${list_1.LIST_SELECTOR})`);
        list = new list_1.List(wrapper);
        if (yield list.el.isVisible())
            return list;
        return void 0;
    });
}
exports.getFormList = getFormList;
