import { Locator } from "@playwright/test";
export interface Audit {
    el: Locator;
    readonly loadMore: Locator;
    entriesCount(): Promise<number>;
    lastChange(): AuditEntry;
}
export declare function getAudit(parentEl: Locator): Audit;
interface AuditEntry {
    el: Locator;
    readonly user: Locator;
    readonly date: Locator;
    readonly operation: Locator;
    getFieldUpdate(field: string): Promise<AuditFieldUpdate>;
    fieldUpdatesCount(): Promise<number>;
}
interface AuditFieldUpdate {
    el: Locator;
    title(): Promise<string>;
    oldValue(): Promise<string>;
    newValue(): Promise<string>;
    expandButton: Locator;
    canExpand(): Promise<boolean>;
    canCollapse(): Promise<boolean>;
}
export {};
