import { Locator } from "@playwright/test";
import { TagMenu } from "../tag/tag";
import { Skeleton } from "../progressBar/skeleton/skeleton";
export declare type FormRecord = Record<string, string>;
interface FormOptions {
    designerWrapper: Locator;
}
export declare class Form {
    private parentEl;
    private options;
    el: Locator;
    progressBar: import("../progressBar/progressBar").ProgressBar;
    skeleton: Skeleton;
    constructor(parentEl: Locator, options: FormOptions);
    private isLoading;
    private waitForComplete;
    private waitComponentsLoading;
    getField(fieldName: string): import("./Field/field").Field;
    getTab(tabTitle: string): import("./Tabs/tabs").Tab;
    get workflow(): {
        el: Locator;
        readonly title: Locator;
        getAction(actionTitle: string): Locator;
    };
    getAudit(): Promise<import("./audit/audit").Audit>;
    getTagMenu(options?: {
        waitFor: boolean;
    }): Promise<TagMenu>;
    waitForReady(): Promise<boolean>;
    wasClosedOrNotExist(): Promise<boolean>;
    toolbar: import("./formToolbar/formToolbar").FormToolbar;
    get infoBlock(): import("./infoBlock/infoBlock").InfoBlock;
    get designerWrapper(): Locator;
}
export {};
