"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWorkflow = void 0;
const workflow = {
    wrapper: ".pfb-main",
    title: ".pfb-title-main",
    subtitle: ".pfb-title-sub",
    principals: ".pfb-principals",
    actions: ".pfb-actions"
};
function getWorkflow(parentEl) {
    const el = parentEl.locator(workflow.wrapper);
    return {
        el,
        get title() {
            return el.locator(workflow.title);
        },
        getAction(actionTitle) {
            return el.locator(workflow.actions).locator(`.btn:has-text("${actionTitle}")`);
        }
    };
}
exports.getWorkflow = getWorkflow;
