"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const cucumber_1 = require("@cucumber/cucumber");
const tableManager_1 = require("../../utils/tableManager");
const list_steps_1 = require("./list.steps");
/**
   Когда нажимаем кнопку редактирования записи с полями:
   | Код  | Наименование |
   | A001 | Петров Петр  |
 */
(0, cucumber_1.When)("нажимаем кнопку редактирования записи с полями:", function (dataTable) {
    return __awaiter(this, void 0, void 0, function* () {
        const list = yield (0, list_steps_1.getList)(this);
        const listData = (0, tableManager_1.getListData)(dataTable);
        const columnIndexes = yield list.getColumnsIndexes(listData.getHeaderRow());
        const row = yield list.findSimilar(listData.getRecords()[0], columnIndexes);
        if (!row)
            throw new Error("запись не найдена.");
        yield row.formOpener.click();
    });
});
