import { Locator } from "@playwright/test";
import { Dropdown } from "../../dropdown/dropdown";
import { QuickFilter } from "./quickFilter/quickFilter";
import { ValuesFilter } from "./valuesFilter/valuesFilter";
export interface ColumnMenu {
    el: Locator;
    readonly sortAsc: {
        el: Locator;
        isActive(): Promise<boolean>;
    };
    readonly sortDesc: {
        el: Locator;
        isActive(): Promise<boolean>;
    };
    readonly aggregation: Locator;
    readonly valuesFilter: ValuesFilter;
    itemByTitle(itemTitle: string): Locator;
    getQuickFilter(): Promise<QuickFilter>;
    isExist(): Promise<boolean>;
}
export declare function getColumnMenu(dropdown: Dropdown): ColumnMenu;
interface ColumnMenuAggregation {
    el: Locator;
    itemByTitle(title: string): {
        el: Locator;
        value(): Promise<string>;
    };
    itemsLength(): Promise<number>;
}
export declare function getAggregation(dropdown: Dropdown): ColumnMenuAggregation;
export {};
