import { Locator } from "@playwright/test";
import { Row } from "../../row/row";
import { NaturalNumber } from "../../../../utils/numberAndIndex";
export interface HierarchyRow extends Row {
    hasChildren(): Promise<boolean>;
    isOpen(): Promise<boolean>;
    isCollapsed(): Promise<boolean>;
    getHierarchyCell(): Promise<ToggleableCell>;
    getChildren(rowNumber: NaturalNumber): Promise<HierarchyRow>;
    isHierarchy(): Promise<boolean>;
    getLevel(): Promise<number>;
    childrenCount(): Promise<number>;
}
interface HierarchyRowOptions {
    getNextRow: (rowNumber: NaturalNumber) => Promise<Row>;
    tbody: Locator;
}
export declare function getHierarchyRow(baseRow: Row, options: HierarchyRowOptions): HierarchyRow;
export interface ToggleableCell {
    el: Locator;
    hasChildren(): Promise<boolean>;
    isOpen(): Promise<boolean>;
    isCollapsed(): Promise<boolean>;
}
export declare function getToggleableCell(cell: Locator): ToggleableCell;
export {};
