import { Locator } from "@playwright/test";
import { Index, NaturalNumber } from "../../../utils/numberAndIndex";
import { ListExtraColumns } from "../list";
export interface HeaderRow {
    el: Locator;
    getCell(title: string): HeaderCell;
    getCellByIndex(cellIndex: Index): HeaderCell;
    selectCell(): Promise<HeaderCell>;
    groupingCells(): Promise<HeaderCell[]>;
    cellsCount(): Promise<NaturalNumber>;
    getAllCells(): Promise<HeaderCell[]>;
    cellsValue(options?: ListExtraColumns): Promise<(string | null)[]>;
    firstFieldCellIndex(): Promise<Index>;
}
export declare function getHeaderRow(parentEl: Locator): HeaderRow;
interface HeaderCell {
    el: Locator;
    getBooleanValue(): Promise<boolean | null>;
    value(): Promise<string | null>;
    isSelect(): Promise<boolean>;
    isGrouping(): Promise<boolean>;
    isFormOpener(): Promise<boolean>;
    getDescription(): Promise<string>;
    readonly actions: HeaderCellActions;
}
export declare function getHeaderCell(cell: Locator): HeaderCell;
interface HeaderCellActions {
    readonly edit: Locator;
    readonly clearFilter: Locator;
    readonly clearSorting: Locator;
}
export {};
