import { Locator } from "@playwright/test";
import { NaturalNumber } from "../../utils/numberAndIndex";
import { ProgressBar } from "../progressBar/progressBar";
import { Row } from "./row/row";
import { MdtRecord } from "../../utils/tableManager";
export interface ListExtraColumns {
    hasSelect: boolean;
}
export declare const LIST_SELECTOR: string;
export declare class List {
    el: Locator;
    private hasAggregation;
    constructor(parentEl: Locator);
    get tbody(): Locator;
    get progressBar(): ProgressBar;
    get tr(): Locator;
    useFirst(): void;
    get footer(): Locator;
    get toolbar(): import("./listToolbar/listToolbar").ListToolbar;
    getRow(rowNumber: NaturalNumber): Promise<Row>;
    getColumnsIndexes(columns: string[]): Promise<ColumnIndexes>;
    findSimilar(record: MdtRecord, columnIndexes: Record<string, number>): Promise<Row | undefined>;
    areRowSimilar(row: Row, record: MdtRecord, columnIndexes: Record<string, number>): Promise<boolean>;
    getAggregationRow(): Row;
    getGroupingRow(groupLabelsHierarchy?: string): any;
    getHierarchyRow(rowNumber: NaturalNumber): Promise<import("./extenders/hierarchy/hierarchyRow").HierarchyRow>;
    displayRowsCount(): Promise<number>;
    isReady(): Promise<boolean>;
    private getSkeleton;
    getHeaderRow(): import("./headerRow/headerRow").HeaderRow;
    formOpener(rowNumber: NaturalNumber): Promise<Locator>;
    selectRowCell(rowNumber: NaturalNumber): Promise<import("./row/row").RowCell>;
    selectAllRowsAsync(): Promise<void>;
    isEmpty(): Promise<boolean>;
}
export declare type ColumnIndexes = Record<string, number>;
