import { Locator } from "@playwright/test";
import { Index, NaturalNumber } from "../../../utils/numberAndIndex";
import { Page } from "../../page";
import { HeaderRow } from "../headerRow/headerRow";
import { ListExtraColumns } from "../list";
export interface Row {
    el: Locator;
    getCellAsync(title: string): Promise<RowCell>;
    getCellByIndex(cellIndex: Index): RowCell;
    getCellNumberByTitle(title: string): Promise<NaturalNumber>;
    selectCell(): Promise<RowCell>;
    cellsCount(): Promise<NaturalNumber>;
    getAllCells(): Promise<RowCell[]>;
    getFieldsCells(): Promise<RowCell[]>;
    cellsValue(options?: ListExtraColumns): Promise<(string | null)[]>;
    formOpener: Locator;
    formOpenerCell: RowCell;
    getRowNumber(): Promise<number>;
    getAction(actionTitle: string): Locator;
    canDragDrop(): Promise<boolean>;
    canDragDropInto(): Promise<boolean>;
    isDisabled(): Promise<boolean>;
}
export declare function getRow(row: Locator, headerRow: HeaderRow): Row;
export declare class RowCell {
    el: Locator;
    constructor(el: Locator);
    isSelect(): Promise<boolean>;
    isReadonly(): Promise<boolean>;
    getClasses(): Promise<string[]>;
    value(): Promise<string>;
    waitForValue(value: string): Promise<void>;
    edit(): Promise<void>;
    image(number?: NaturalNumber): Locator;
    clearValue(): Promise<void>;
    get tagMark(): Locator;
}
export declare function setCellValue(page: Page, cell: RowCell, value: string): Promise<void>;
