"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.compareByRowsOrder = void 0;
const notFoundRecords_1 = require("./notFoundRecords");
const withTimeoutHelpers_1 = require("./withTimeoutHelpers");
/**
 * Функция ограничена собственными таймаутами, поэтому ее следует использовать в шагах с отключенным таймаутом (timeout: -1)
 */
function compareByRowsOrder(list, listData) {
    return __awaiter(this, void 0, void 0, function* () {
        const columnIndexes = yield (0, withTimeoutHelpers_1.columnIndexesWithTimeout)(list, listData);
        const records = listData.getRecords();
        const notFoundRecords = yield (0, notFoundRecords_1.getNotFoundRecords)(records, list, columnIndexes);
        (0, notFoundRecords_1.showNotFoundRecords)(notFoundRecords);
    });
}
exports.compareByRowsOrder = compareByRowsOrder;
