"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.listContainRecordsStep = void 0;
const cucumber_1 = require("@cucumber/cucumber");
const tableManager_1 = require("../../../../utils/tableManager");
const withTimeoutHelpers_1 = require("./withTimeoutHelpers");
const compareByRowsOrder_1 = require("./compareByRowsOrder");
/**
 * Учитывает порядок записей
 * НЕ учитывает порядок колонок
 *
   Пусть список содержит следующие записи:
   | Наименования_поля | Булево_поле | Поле_с_датой   |
   | Значение_1        | [ ]         | 29.02.2024     |
   | Значение_2        | [x]         | {текущая дата} |
   | Значение_3        | [-]         |                |
 */
(0, cucumber_1.Given)("список содержит следующие записи:", { timeout: -1 }, function (dataTable) {
    return __awaiter(this, void 0, void 0, function* () {
        yield listContainRecordsStep(this, dataTable);
    });
});
/**
 * Учитывает порядок записей
 * НЕ учитывает порядок колонок
 *
   Пусть список содержит следующие записи:
   | Наименования_поля | Булево_поле | Поле_с_датой   |
   | Значение_1        | [ ]         | 29.02.2024     |
   | Значение_2        | [x]         | {текущая дата} |
   | Значение_3        | [-]         |                |
 */
(0, cucumber_1.Then)("список будет содержать следующие записи:", { timeout: -1 }, function (dataTable) {
    return __awaiter(this, void 0, void 0, function* () {
        yield listContainRecordsStep(this, dataTable);
    });
});
function listContainRecordsStep(page, dataTable) {
    return __awaiter(this, void 0, void 0, function* () {
        const list = yield (0, withTimeoutHelpers_1.getListWithTimeout)(page);
        const listData = (0, tableManager_1.getListData)(dataTable);
        yield (0, compareByRowsOrder_1.compareByRowsOrder)(list, listData);
    });
}
exports.listContainRecordsStep = listContainRecordsStep;
