import { DataRow, MdtRecord } from "../../../../utils/tableManager";
import { ColumnIndexes, List } from "../../list";
import { Row } from "../../row/row";
export declare function getNotFoundRecords(records: MdtRecord[], list: List, columnIndexes: ColumnIndexes): Promise<NotFoundRecords>;
export declare function waitForRow(options: {
    row: Row;
    record: MdtRecord;
    columnIndexes: ColumnIndexes;
    onRowNotFound: (details?: NotFoundRecordDetails) => void;
}): Promise<void>;
export declare function showNotFoundRecords(data: NotFoundRecords): void;
export declare function notFoundDetailsMessage(details?: NotFoundRecordDetails): string;
export declare type NotFoundRecords = Map<number, {
    row: DataRow;
    details?: NotFoundRecordDetails;
}>;
export declare type NotFoundRecordDetails = Map<string, {
    expected: string;
    received: string;
}>;
