"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const cucumber_1 = require("@cucumber/cucumber");
const tableManager_1 = require("../../../../utils/tableManager");
const headerCompare_steps_1 = require("../headerCompare.steps");
const compareByRowsOrder_1 = require("./compareByRowsOrder");
const withTimeoutHelpers_1 = require("./withTimeoutHelpers");
/**
 * Список из нескольких записей, можно указать колонку выбора записей
 * Учитывается порядок записей
 * Учитывает порядок колонок
 *
   Пусть в списке есть следующие записи:
   |     | Наименования_поля | Булево_поле | Поле_с_датой   |
   | [ ] | Значение_1        | [ ]         | 29.02.2024     |
   | [ ] | Значение_2        | [x]         | {текущая дата} |
   | [ ] | Значение_3        | [-]         |                |
 */
(0, cucumber_1.Given)("в списке есть следующие записи:", { timeout: -1 }, strictListEqualityStep);
/**
 * Список из нескольких записей, можно указать колонку выбора записей
 * Учитывается порядок записей
 * Учитывает порядок колонок
 *
   Пусть в списке есть следующие записи:
   |     | Наименования_поля | Булево_поле | Поле_с_датой   |
   | [ ] | Значение_1        | [ ]         | 29.02.2024     |
   | [ ] | Значение_2        | [x]         | {текущая дата} |
   | [ ] | Значение_3        | [-]         |                |
 */
(0, cucumber_1.Then)("в списке будут следующие записи:", { timeout: -1 }, strictListEqualityStep);
function strictListEqualityStep(dataTable) {
    return __awaiter(this, void 0, void 0, function* () {
        const list = yield (0, withTimeoutHelpers_1.getListWithTimeout)(this);
        const listData = (0, tableManager_1.getListData)(dataTable);
        const options = {
            hasSelect: listData.hasSelectColumn()
        };
        yield (0, headerCompare_steps_1.strictHeaderRowCompare)(list.getHeaderRow(), listData.getHeaderRow(), options);
        yield (0, compareByRowsOrder_1.compareByRowsOrder)(list, listData);
    });
}
