"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.columnIndexesWithTimeout = exports.getListWithTimeout = void 0;
const wrapWithTimeout_1 = require("../../../../utils/wrapWithTimeout");
const list_steps_1 = require("../../list.steps");
function getListWithTimeout(page) {
    return (0, wrapWithTimeout_1.wrapWithTimeout)({
        promise: (0, list_steps_1.getList)(page),
        onExpired: () => {
            throw "Слишком долгая загрузка списка";
        }
    });
}
exports.getListWithTimeout = getListWithTimeout;
function columnIndexesWithTimeout(list, listData) {
    return (0, wrapWithTimeout_1.wrapWithTimeout)({
        promise: list.getColumnsIndexes(listData.getHeaderRow()),
        onExpired: () => {
            throw "Не удалось вычислить список колонок";
        }
    });
}
exports.columnIndexesWithTimeout = columnIndexesWithTimeout;
