"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormOpener = void 0;
const list_1 = require("../../list/list");
class FormOpener {
    constructor(page) {
        this.page = page;
    }
    getList() {
        return __awaiter(this, void 0, void 0, function* () {
            const content = this.page.getContent();
            const list = new list_1.List(content.content);
            list.useFirst();
            if (yield list.el.isVisible()) {
                yield list.isReady();
                return list;
            }
        });
    }
    canOpenRecord(list) {
        return __awaiter(this, void 0, void 0, function* () {
            if (yield list.isEmpty())
                return false;
            const formOpener = yield list.formOpener(1);
            return yield formOpener.isVisible();
        });
    }
    canOpenNew(list) {
        return __awaiter(this, void 0, void 0, function* () {
            const item = list.toolbar.itemByTitle("Добавить");
            if (yield item.isHidden())
                return false;
            const classList = yield item.evaluate((el) => el.classList);
            if (!(classList === null || classList === void 0 ? void 0 : classList.length))
                return false;
            return !classList.contains("disabled");
        });
    }
    openNew(list) {
        return __awaiter(this, void 0, void 0, function* () {
            const item = list.toolbar.itemByTitle("Добавить");
            yield item.click();
            const form = yield this.page.getForm();
            yield form.waitForReady();
            return form;
        });
    }
    openRecord(list) {
        return __awaiter(this, void 0, void 0, function* () {
            const formOpener = yield list.formOpener(1);
            yield formOpener.click();
            const form = yield this.page.getForm();
            yield form.waitForReady();
            return form;
        });
    }
}
exports.FormOpener = FormOpener;
