"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = void 0;
class Logger {
    constructor() {
        this.level = {
            openNode: 2,
            openForm: 3,
            result: 1
        };
        this.PAD_SIZE = 2;
        this.START = 4;
    }
    show(message, pad) {
        this.log(message, pad);
    }
    showError(description, error, pad) {
        this.log(description, pad);
        this.log(error, pad + 1);
    }
    openNode(path) {
        return `Открывается узел ${this.getPath(path)}`;
    }
    openNodeError(path) {
        return `При открытии узла ${this.getPath(path)} возникла ошибка:`;
    }
    openForm(path) {
        return `Открывается форма ${this.getPath(path)}`;
    }
    openFormError(path) {
        return `При открытии формы в узле ${this.getPath(path)} возникла ошибка:`;
    }
    success() {
        return `При выполнении шага ошибок не найдено`;
    }
    errorsFound() {
        return `Найдены следующие ошибки:`;
    }
    expiredMessage() {
        return `Действие выполнялось слишком долго`;
    }
    findNextNode(path) {
        return `Поиск следующего узла после ${this.getPath(path)}`;
    }
    log(message, pad) {
        const result = !isNaN(pad) ? this.withPad(message, pad) : message;
        console.log(result);
    }
    withPad(message, pad) {
        const padLeft = " ".repeat(this.START + this.PAD_SIZE * pad);
        return padLeft + message;
    }
    getPath(path) {
        const result = [path.app];
        if (path.topNav) {
            result.push(path.topNav);
        }
        if (path.leftNav) {
            result.push(...path.leftNav);
        }
        return result.join(" > ");
    }
}
exports.Logger = Logger;
