"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findPath = void 0;
/**
 * @param currentPath Путь который 100% есть в nodes
 */
function findPath(currentPath, nodes) {
    var _a;
    const currentNode = findNode(currentPath, nodes);
    if (!currentNode)
        return null;
    if (((_a = currentNode.children) === null || _a === void 0 ? void 0 : _a.length) > 0)
        return [...currentPath, currentNode.children[0].title];
    return findNextSiblingPath(currentPath, nodes);
}
exports.findPath = findPath;
const findNode = (path, nodes = []) => {
    if (path.length === 0 || nodes.length === 0)
        return null;
    const [head, ...tail] = path;
    const node = nodes.find((node) => node.title === head);
    if (!node)
        return null;
    if (tail.length === 0)
        return node;
    return findNode(tail, node.children);
};
const findNextSiblingPath = (path, nodes = []) => {
    if (path.length === 0)
        return null;
    const parentNode = findNode(path.slice(0, -1), nodes);
    const siblings = parentNode ? parentNode.children : nodes;
    const currentIndex = siblings.findIndex((node) => node.title === path[path.length - 1]);
    if (currentIndex === -1)
        return null;
    if (currentIndex + 1 < siblings.length)
        return [...path.slice(0, -1), siblings[currentIndex + 1].title];
    return findNextSiblingPath(path.slice(0, -1), nodes);
};
