"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Skeleton = void 0;
const getSelector_1 = require("../../../utils/getSelector");
const asyncArray_1 = require("../../../utils/asyncArray");
const selector = (0, getSelector_1.getSelector)({ testid: "skeleton" });
class Skeleton {
    constructor(parentEl) {
        this.parentEl = parentEl;
        this.el = this.parentEl.locator(selector);
    }
    waitForCompleteIfExist() {
        return __awaiter(this, void 0, void 0, function* () {
            let skeletons = yield this.el.all();
            skeletons = yield (0, asyncArray_1.asyncFilter)(skeletons, (s) => s.isVisible());
            if (!skeletons.length)
                return;
            yield Promise.all(skeletons.map((s) => s.waitFor({ state: "hidden" })));
            // Проверяем не появились ли новые скелетоны, которые нужно подождать
            return this.waitForCompleteIfExist();
        });
    }
    isExist() {
        return this.el.first().isVisible();
    }
}
exports.Skeleton = Skeleton;
