"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TopNav = void 0;
const getSelector_1 = require("../../utils/getSelector");
const selectors = (0, getSelector_1.getSelectors)({
    header: "top-nav-header",
    navbar: "navbar-top",
    apps: "apps-button",
    userZone: "user-zone"
});
class TopNav {
    constructor(parentEl) {
        this.parentEl = parentEl;
        this.el = this.parentEl.locator(selectors.header);
        this.navigations = this.el.locator(selectors.navbar);
        this.logoContainer = this.el.locator(".navbar-header");
        this.navItemEl = this.navigations.locator("li[nav]");
        this.logo = this.logoContainer.locator(".system-logo");
        this.appsTitle = this.el.locator(`.nav a.apps-head-title[code="apps"]`);
        this.apps = this.el.locator(`${selectors.userZone} ${selectors.apps}`);
        this.admin = this.el.locator(`.navbar-right li[nav="adm"]`);
        this.user = this.el.locator(".navbar-right .user-button");
    }
    navItem(itemTitle) {
        return this.navigations.locator(`li:has(a[title="${itemTitle}"])`);
    }
    hasApps() {
        return this.apps.isVisible();
    }
}
exports.TopNav = TopNav;
