"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.customWaitFor = void 0;
const setup_1 = require("../../setup/setup");
const WAIT_FOR_INTERVAL_TIME = 500;
// Кастомный waitFor как в playwright но с возможностью передавать функцию для удобства ожидания с условием
// Важно чтобы callback делал только проверки dom, без сайд эффектов, т.к. остановить callback не получиться
function customWaitFor(callback) {
    const timeout = setup_1.config.timeout;
    return new Promise((resolve, reject) => {
        let timeoutId;
        let searchTimeoutId;
        timeoutId = setTimeout(() => {
            // Не дождались
            clearInterval(searchTimeoutId);
            clearTimeout(timeoutId);
            reject();
        }, timeout);
        const run = () => {
            searchTimeoutId = setTimeout(() => __awaiter(this, void 0, void 0, function* () {
                try {
                    if (yield callback()) {
                        clearInterval(searchTimeoutId);
                        clearTimeout(timeoutId);
                        resolve();
                        return;
                    }
                    run();
                }
                catch (error) {
                    clearInterval(searchTimeoutId);
                    clearTimeout(timeoutId);
                    reject();
                    throw error;
                }
            }), WAIT_FOR_INTERVAL_TIME);
        };
        run();
    });
}
exports.customWaitFor = customWaitFor;
