"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dateFormat = exports.parseToMSeconds = exports._dateRegex = void 0;
const pad2 = (v, padValue = "0") => (v < 10 ? padValue : "") + v;
exports._dateRegex = /^([1-9]|0[1-9]|1[0-9]|2[0-9]|3[0-1])\.([0-9]|0[1-9]|1[0-2])\.(\d{4})(\s([0-2]\d):([0-5]\d):([0-5]\d))?$/;
const _dateParse = Date.parse;
// Date
function parseToMSeconds(str) {
    if (!str || !str.match)
        return _dateParse(str);
    const m = exports._dateRegex.exec(str);
    return _dateParse(m ? m[3] + "-" + m[2] + "-" + m[1] + (m[4] ? " " + m[5] + ":" + m[6] + ":" + m[7] : "") : str);
}
exports.parseToMSeconds = parseToMSeconds;
function toDateString(date) {
    return `${pad2(date.getDate())}.${pad2(date.getMonth() + 1)}.${date.getFullYear()}`;
}
function toDateTimeString(date) {
    return `${pad2(date.getDate())}.${pad2(date.getMonth() + 1)}.${date.getFullYear()} ${pad2(date.getHours())}:${pad2(date.getMinutes())}:${pad2(date.getSeconds())}`;
}
function dateFormat(date, type) {
    const hasTime = date.getHours() || date.getMinutes() || date.getSeconds();
    return type == "date"
        ? toDateString(date)
        : type == "time"
            ? pad2(date.getHours()) + ":" + pad2(date.getMinutes())
            : type == "time:sec"
                ? pad2(date.getHours()) + ":" + pad2(date.getMinutes()) + ":" + pad2(date.getSeconds())
                : hasTime || type == "datetime"
                    ? toDateTimeString(date)
                    : date.toDateString();
}
exports.dateFormat = dateFormat;
