"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.equalByDateAlias = exports.parseIfAlias = void 0;
const dateFormat_1 = require("../dateFormat");
const isDateAlias_1 = require("../isDateAlias");
const getDateFromAlias_1 = require("./getDateFromAlias");
function parseIfAlias(val) {
    if ((0, isDateAlias_1.isDateAlias)(val))
        return (0, dateFormat_1.dateFormat)((0, getDateFromAlias_1.getDateFromAlias)(val), "date");
    if ((0, isDateAlias_1.isDateTimeAlias)(val))
        return (0, dateFormat_1.dateFormat)((0, getDateFromAlias_1.getDateFromAlias)(val), "datetime");
    return val;
}
exports.parseIfAlias = parseIfAlias;
function getDateEqualityType(val, val2) {
    let isDateTime = (0, isDateAlias_1.isDateTimeAlias)(val) || (0, isDateAlias_1.isDateTimeAlias)(val2);
    if (isDateTime)
        return "datetime";
    let isDate = (0, isDateAlias_1.isDateAlias)(val) || (0, isDateAlias_1.isDateAlias)(val2);
    if (isDate)
        return "date";
}
function equalByDateAlias(val, val2) {
    const type = getDateEqualityType(val, val2);
    const date1 = parseToDate(val);
    const date2 = parseToDate(val2);
    if (type == "datetime") {
        const diffSeconds = Math.abs((0, dateFormat_1.parseToMSeconds)(date1) - (0, dateFormat_1.parseToMSeconds)(date2)) / 1000;
        const fiveMinutes = 301;
        return diffSeconds <= fiveMinutes;
    }
    if (type == "date") {
        const yearsAreEqual = date1.getFullYear() == date2.getFullYear();
        const monthsAreEqual = date1.getMonth() == date2.getMonth();
        const daysAreEqual = date1.getDate() == date2.getDate();
        return yearsAreEqual && monthsAreEqual && daysAreEqual;
    }
}
exports.equalByDateAlias = equalByDateAlias;
function parseToDate(val) {
    if ((0, isDateAlias_1.isDateOrDatimeAlias)(val))
        return (0, getDateFromAlias_1.getDateFromAlias)(val);
    return new Date((0, dateFormat_1.parseToMSeconds)(val));
}
