"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScreenshotManager = void 0;
const rootFinder_1 = require("./rootFinder");
const fs = require("fs");
const path = require("path");
const featureManager_1 = require("./featureManager");
const FAILURES_IMAGES_PATH = path.resolve(rootFinder_1.PACKAGE_JSON_PATH, "failures");
const IMAGE_FILE_EXT = ".png";
exports.ScreenshotManager = new (class {
    saveFailScreenshot(page, fileNameExt = "") {
        return this.screenshot(page, FAILURES_IMAGES_PATH, `${featureManager_1.default.getFailedCount()}-${featureManager_1.default.getFileName()}${fileNameExt}`);
    }
    cleanFailuresImages() {
        if (fs.existsSync(FAILURES_IMAGES_PATH)) {
            fs.readdir(FAILURES_IMAGES_PATH, (error, files) => {
                if (error)
                    throw error;
                for (const file of files) {
                    fs.unlink(path.join(FAILURES_IMAGES_PATH, file), (e) => {
                        if (e)
                            throw e;
                    });
                }
            });
        }
    }
    screenshot(page, destination, fileName) {
        return page.screenshot({
            path: path.resolve(destination, fileName + IMAGE_FILE_EXT)
        });
    }
})();
