"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.loginByUser = void 0;
const setup_1 = require("../../setup/setup");
const waitForAppLoad_1 = require("./waitForAppLoad");
function loginByUser(page, userName) {
    return __awaiter(this, void 0, void 0, function* () {
        yield signIn(page, userName);
        yield (0, waitForAppLoad_1.waitForAppLoad)(page);
    });
}
exports.loginByUser = loginByUser;
function signIn(page, userName) {
    const user = setup_1.config.users[userName];
    if (!user)
        throw "Пользователь не найден";
    return page
        .evaluate(({ login, password }) => {
        return globalThis.e2eService.signIn(login, password);
    }, user)
        .catch(() => {
        throw "Не удалось войти под пользователем: " + userName;
    });
}
