"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.wrapWithTimeout = void 0;
const setup_1 = require("../../setup/setup");
function wrapWithTimeout(options) {
    const timeout = options.timeout ? options.timeout : setup_1.config.timeout;
    let timeoutId;
    return new Promise((resolve, reject) => {
        timeoutId = setTimeout(() => {
            reject(options.onExpired());
        }, timeout);
        options.promise.then(resolve).finally(() => clearTimeout(timeoutId));
    });
}
exports.wrapWithTimeout = wrapWithTimeout;
