"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.e2eService = void 0;
const utils_1 = require("mdtScripts/helpers/utils");
const Auth_1 = require("mdtServices/Auth");
const E2E_DATA_ATTRIBUTE = "data-e2e";
class E2eService {
    mark(el, ...markOptionsArray) {
        markOptionsArray.forEach((markOptions) => {
            Object.entries(markOptions).forEach(([key, value]) => {
                if (value == void 0)
                    return;
                el.setAttribute(this.getAttribute(key), value);
            });
        });
    }
    unmark(el, keys) {
        const array = Array.isArray(keys) ? keys : [keys];
        array.forEach((key) => el.removeAttribute(this.getAttribute(key)));
    }
    selector(...markOptionsArray) {
        let result = "";
        markOptionsArray.forEach((markOptions) => {
            Object.entries(markOptions).forEach(([key, value]) => {
                result = result + `[${this.getAttribute(key)}="${value}"]`;
            });
        });
        return result;
    }
    signIn(login, password) {
        if (!utils_1._.isDev())
            throw new Error("Авторизация с помощью e2e доступна только в режиме разработчика");
        return Auth_1.Auth.signInWithForms(login, password, true).then(() => location.reload());
    }
    getAttribute(key) {
        return `${E2E_DATA_ATTRIBUTE}-${key}`;
    }
}
exports.e2eService = new E2eService();
globalThis.e2eService = exports.e2eService;
